# Class FastqSplit

java.lang.Object
org.snpeff.fastq.FastqSplit

All Implemented Interfaces:
  `CommandLine`

public class FastqSplit extends Object implements CommandLine
Split a fastq into N files

Author:
  pablocingolani

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`BUFFER_SIZE`
`static final long`
`G`
`static final long`
`K`
`static final long`
`M`
`static final long`
`P`
`static final long`
`T`

## Constructor Summary

Constructors
Constructor
Description
`FastqSplit()`

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getArgs()`
`ArrayList<String>`
`getSplitFileNames()`
`static void`
`main(String[] args)`
Main
`void`
`parseArgs(String[] args)`
Parse command line arguments
`boolean`
`run()`
Run command
`void`
`setVerbose(boolean verbose)`
`void`
`usage(String message)`
Usage message

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### K

public static final long K

See Also:
  - Constant Field Values

### M

public static final long M

See Also:
  - Constant Field Values

### G

public static final long G

See Also:
  - Constant Field Values

### T

public static final long T

See Also:
  - Constant Field Values

### P

public static final long P

See Also:
  - Constant Field Values

### BUFFER_SIZE

public static final int BUFFER_SIZE

See Also:
  - Constant Field Values

## Constructor Details

### FastqSplit

public FastqSplit()

## Method Details

### main

public static void main(String[] args)
Main

Parameters:
  `args` -

### getArgs

public String[] getArgs()

Specified by:
  `getArgs` in interface `CommandLine`

### getSplitFileNames

public ArrayList<String> getSplitFileNames()

### parseArgs

public void parseArgs(String[] args)
Parse command line arguments

Specified by:
  `parseArgs` in interface `CommandLine`
Parameters:
  `args` -

### run

public boolean run()
Run command

Specified by:
  `run` in interface `CommandLine`

### setVerbose

public void setVerbose(boolean verbose)

### usage

public void usage(String message)
Usage message

Specified by:
  `usage` in interface `CommandLine`
Parameters:
  `message` -